<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Menschderlader: menschderlader.models.bot.Browser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Menschderlader
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A bot that mimics a human while downloading files</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemenschderlader.html">menschderlader</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models.html">models</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models_1_1bot.html">bot</a></li><li class="navelem"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html">Browser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classmenschderlader_1_1models_1_1bot_1_1_browser-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">menschderlader.models.bot.Browser Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad2326f746e684ea0be441447589b8744"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#ad2326f746e684ea0be441447589b8744">__init__</a> (self, url, output_folder, chrome_driver_path)</td></tr>
<tr class="separator:ad2326f746e684ea0be441447589b8744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf9f209d40d4587b42f35d8301d219fe"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#adf9f209d40d4587b42f35d8301d219fe">download</a> (self, recurse)</td></tr>
<tr class="separator:adf9f209d40d4587b42f35d8301d219fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af4d1aa5501a600047eae4edcc7d37d6e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#af4d1aa5501a600047eae4edcc7d37d6e">start_url</a></td></tr>
<tr class="separator:af4d1aa5501a600047eae4edcc7d37d6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a632c699279134b099aac71a9e70ceffb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#a632c699279134b099aac71a9e70ceffb">root_hostname</a></td></tr>
<tr class="separator:a632c699279134b099aac71a9e70ceffb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a621837b54c9f9dc49719531a8f219fb7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#a621837b54c9f9dc49719531a8f219fb7">browser</a></td></tr>
<tr class="separator:a621837b54c9f9dc49719531a8f219fb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a708bd699aa75d7b15113009197d40cd2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#a708bd699aa75d7b15113009197d40cd2">download_queue</a></td></tr>
<tr class="separator:a708bd699aa75d7b15113009197d40cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87711f764f1d36311e082959c7efd46d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#a87711f764f1d36311e082959c7efd46d">downloaded_urls</a></td></tr>
<tr class="separator:a87711f764f1d36311e082959c7efd46d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad21fc43b5c7609e7812fa4faca00646b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1bot_1_1_browser.html#ad21fc43b5c7609e7812fa4faca00646b">output</a></td></tr>
<tr class="separator:ad21fc43b5c7609e7812fa4faca00646b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Downloads web pages like a human </pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad2326f746e684ea0be441447589b8744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2326f746e684ea0be441447589b8744">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.bot.Browser.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>output_folder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>chrome_driver_path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param url: str
    Url to download
:param output_folder: str
    Path to output folder
:param chrome_driver_path: str
    Path to Chrome driver
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adf9f209d40d4587b42f35d8301d219fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf9f209d40d4587b42f35d8301d219fe">&#9670;&nbsp;</a></span>download()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.bot.Browser.download </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>recurse</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param recurse: bool
    True iff you want to recursively download sub-pages of same host
:return: void
    Downloads page to folder
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a621837b54c9f9dc49719531a8f219fb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a621837b54c9f9dc49719531a8f219fb7">&#9670;&nbsp;</a></span>browser</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.bot.Browser.browser</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a708bd699aa75d7b15113009197d40cd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a708bd699aa75d7b15113009197d40cd2">&#9670;&nbsp;</a></span>download_queue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.bot.Browser.download_queue</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87711f764f1d36311e082959c7efd46d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87711f764f1d36311e082959c7efd46d">&#9670;&nbsp;</a></span>downloaded_urls</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.bot.Browser.downloaded_urls</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad21fc43b5c7609e7812fa4faca00646b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad21fc43b5c7609e7812fa4faca00646b">&#9670;&nbsp;</a></span>output</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.bot.Browser.output</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a632c699279134b099aac71a9e70ceffb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a632c699279134b099aac71a9e70ceffb">&#9670;&nbsp;</a></span>root_hostname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.bot.Browser.root_hostname</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4d1aa5501a600047eae4edcc7d37d6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4d1aa5501a600047eae4edcc7d37d6e">&#9670;&nbsp;</a></span>start_url</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.bot.Browser.start_url</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/menschderlader/menschderlader/models/<a class="el" href="bot_8py.html">bot.py</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
